package com.engine.salary.service.impl;

import com.engine.core.impl.Service;
import com.engine.salary.entity.siarchives.po.UfHrSbjsgzbPO;
import com.engine.salary.mapper.siarchives.UfHrSbjsgzbMapper;
import com.engine.salary.service.UfHrSbjsgzbService;
import com.engine.salary.util.db.MapperProxyFactory;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName UfHrSbjsgzbService
 * @date 2024/12/20 10:06
 * @description
 */
public class UfHrSbjsgzbServiceImpl extends Service implements UfHrSbjsgzbService {

    private UfHrSbjsgzbMapper getUfHrSbjsgzbMapper(){
        return MapperProxyFactory.getProxy(UfHrSbjsgzbMapper.class);
    }

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    public List<UfHrSbjsgzbPO> listAll() {
        return getUfHrSbjsgzbMapper().listAll();
    }


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    public UfHrSbjsgzbPO getById(Integer id) {
        return getUfHrSbjsgzbMapper().getById(id);
    }

    /**
     * 新增，忽略null字段
     *
     * @param ufHrSbjsgzb 新增的记录
     * @return 返回影响行数
     */
    public int insertIgnoreNull(UfHrSbjsgzbPO ufHrSbjsgzb) {
        return getUfHrSbjsgzbMapper().insertIgnoreNull(ufHrSbjsgzb);
    }

    /**
     * 修改，修改所有字段
     *
     * @param ufHrSbjsgzb 修改的记录
     * @return 返回影响行数
     */
    public int update(UfHrSbjsgzbPO ufHrSbjsgzb) {
        return getUfHrSbjsgzbMapper().update(ufHrSbjsgzb);
    }

    /**
     * 修改，忽略null字段
     *
     * @param ufHrSbjsgzb 修改的记录
     * @return 返回影响行数
     */
    public int updateIgnoreNull(UfHrSbjsgzbPO ufHrSbjsgzb) {
        return getUfHrSbjsgzbMapper().updateIgnoreNull(ufHrSbjsgzb);
    }
}
